/* font-family: 'Montserrat', sans-serif;
font-family: 'Playfair Display', serif; */
:root {
  --color1: rgb(10, 18, 57, 1); /*penne blue */
  --color2: rgb(226, 192, 70, 1); /*Old gold */
  --color3: rgb(233, 234, 235, 1); /*beige */
  --font1: "Montserrat", sans-serif;
  --font2: "Playfair Display", serif;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  overflow-x: hidden;
}
body {
  overflow-x: hidden;
  height: 100%;
}
section {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

/* ------------------HAMBURGER  ICON---------------------- */

button.hamburger {
  position: fixed;
  z-index: 4;
  top: 2vw;
  right: 2vw;
  border: none;
  background-color: transparent;
  color: var(--color1);
  z-index: 6;
  -webkit-tap-highlight-color: transparent;
}
svg {
  fill-rule: evenodd;
  clip-rule: evenodd;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-miterlimit: 1.5;
  cursor: pointer;
}

svg path {
  fill: none;
  stroke: var(--color1);
  stroke-width: 2px;
}

svg + svg {
  margin-left: 1.5rem;
}

.icons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

#top,
#bottom {
  stroke-dasharray: 30, 75.39;
  transition: all 0.6s cubic-bezier(0.6, 0.33, 0.67, 1.29);
}

svg.active #top,
svg.active #bottom {
  stroke-dasharray: 75.39;
  stroke-dashoffset: -60;
  stroke: var(--color3);
}
svg.active #middle {
  stroke: var(--color3);
}

svg:nth-child(2) {
  transform: rotate(0deg);
  transition: transform 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
}

svg:nth-child(2) path {
  transition: all 0.4s ease-in-out 0.6s;
}

svg:nth-child(2).active {
  transform: rotate(180deg);
}

.rocket #top {
  stroke-dasharray: 30, 88;
}

/*-------------------HAMBURGER MENU--------------  */

nav.hamburger-menu {
  position: fixed;
  left: -100%;
  z-index: 5;
  background-color: var(--color1);
  color: var(--color3);
  font-family: var(--font2);
  font-size: 2rem;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: var(--color3);
  transition: ease-in 0.3s;
}
nav.hamburger-menu.active {
  left: 0;
}
nav.hamburger-menu ul {
  height: 80%;
  list-style: none;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  justify-content: space-around;
  border-bottom: 3px solid var(--color3);
  border-top: 3px solid var(--color3);
}
nav.hamburger-menu ul li {
  position: relative;
  transition: 0.2s linear;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
nav.hamburger-menu ul li::after {
  content: "";
  display: block;
  width: 0;
  height: 2px;
  background-color: var(--color3);
  position: absolute;
  bottom: 20px;
  left: 0;
  transition: width 0.3s;
  border-radius: 50px;
}

nav.hamburger-menu ul li:hover::after {
  width: 88%;
}

/* --------------------PHONE ICON --------------*/
button.call-now {
  position: fixed;
  bottom: 15px;
  right: 15px;
  z-index: 2;
  background-color: var(--color3);
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  border: none;
  font-size: 30px;
  -webkit-tap-highlight-color: transparent;
}
button.call-now a {
  color: var(--color1);
}
/* -----------------------SECTION HOME----------------------- */
section.home {
  position: relative;
}
section.home video {
  overflow-x: hidden;
  position: fixed;
  top: 0;
  left: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
  background: url(movies/background-adrem.mp4) no-repeat center center;
  background-size: cover;
  z-index: -1;
}
section.home .logo-container {
  display: flex;
  position: absolute;
  top: 0;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 80%;
}

section.home .logo-container img {
  width: 17rem;
}
section.home .logo-container img:nth-child(2) {
  width: 19rem;
}

/* -----------------SECTION REALIZATIONS------------------- */
section.realizations {
  position: relative;
  width: 100%;
  background-color: var(--color3);
  display: flex;
  flex-direction: column;
}

section.realizations .top-title {
  width: 100%;
  height: 15%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.7rem;
  line-height: 3rem;
  font-family: var(--font2);
  color: var(--color1);
}
section.realizations .top-title h1 {
  text-align: center;
}
section.realizations .image-plus-btn {
  display: flex;
  flex-direction: column;
  height: 85%;
}

section.realizations .image {
  position: relative;
  height: 85%;
  width: 100%;
  /* background-image: url(realizations/slider3.jpg); */
  background-position: center center;
  background-size: cover;
}
section.realizations img {
  height: 100%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  object-fit: cover;
}
section.realizations .image .narrow {
  /* z-index: 3; */
  width: 50%;
  height: 100%;
  background-color: transparent;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 3rem;
  right: 0;
  color: rgba(255, 255, 255, 0.5);
  cursor: pointer;
  transition: 0.1s linear;
  -webkit-tap-highlight-color: transparent;
  /* display: none; */
}
section.realizations .image .narrow-left {
  justify-content: start;
  left: 0;
  padding-left: 10px;
}
section.realizations .image .narrow-right {
  justify-content: end;
  right: 0;
  padding-right: 10px;
}

section.realizations .bottom-bnt {
  height: 15%;
  display: flex;
  justify-content: center;
  align-items: center;
}
section.realizations .bottom-bnt button {
  display: flex;
  justify-content: center;
  width: 100%;
  border-radius: 100px;
  -webkit-tap-highlight-color: transparent;
}
section.realizations button {
  display: flex;
  justify-content: center;
  background-color: var(--color3);
  border: none;
  font-size: 3rem;
  transition: 0.2s linear;
  color: var(--color1);
}
section.realizations .bottom-bnt p {
  display: none;
}
section.realizations button.see-more a {
  text-decoration: none;
  color: var(--color1);
  font-size: 45%;
  padding: 10px;
  font-weight: 200;
}
section.realizations button.see-more {
  border: 2px solid var(--color1);
  width: 60%;
  height: 80%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
section.realizations button.see-more:hover {
  background-color: var(--color1);
}
section.realizations button.see-more:hover a {
  color: var(--color3);
}

/* ----------------SECTION INSPIRATIONS------------- */

section.inspirations {
  position: relative;
  background-color: var(--color3);
  display: flex;
  flex-direction: column;
  width: 100%;
}
section.inspirations .top-title {
  width: 100%;
  height: 15%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.7rem;
  font-family: var(--font2);
  color: var(--color1);
  text-justify: auto;
}
section.inspirations .top-title h1 {
  text-align: center;
}
section.inspirations .image-plus-btn {
  display: flex;
  flex-direction: column;
  height: 85%;
  width: 100%;
}
section.inspirations .image {
  position: relative;
  height: 85%;
  width: 100%;
}
section.inspirations .image .slider-image {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
}
section.inspirations .image .slider-image img {
  object-fit: cover;
}
section.inspirations .image .narrow {
  z-index: 3;
  width: 50%;
  height: 100%;
  background-color: transparent;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 3rem;
  right: 0;
  top: 0;
  color: rgba(255, 255, 255, 0.5);
  cursor: pointer;
  transition: 0.1s linear;
  -webkit-tap-highlight-color: transparent;
  /* display: none; */
}
section.inspirations .image .narrow-left {
  justify-content: start;
  left: 0;
  padding-left: 10px;
}
section.inspirations .image .narrow-right {
  justify-content: end;
  right: 0;
  padding-right: 10px;
}

section.inspirations .change-style {
  display: flex;
  flex-direction: row;
  align-items: center;
}
section.inspirations .bottom-bnt {
  height: 15%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  background-color: var(--color1);
}
section.inspirations .bottom-bnt i {
  font-size: 1.3rem;
  margin: 0 10px 0 10px;
}
section.inspirations .bottom-bnt button {
  display: flex;
  background-color: transparent;
  border: none;
  font-size: 3rem;
  transition: 0.2s linear;
  color: var(--color3);
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}
section.inspirations .text {
  display: none;
}
section.inspirations .bottom-bnt .style {
  color: var(--color3);
  font-family: var(--font1);
  font-size: 20px;
}

section.inspirations .bottom-bnt button.left:hover {
  transform: translate(-5px, 0);
}
section.inspirations .bottom-bnt button.right:hover {
  transform: translate(5px, 0);
}

/*-------------- SECTIONS FEATURES------------ */

section.features {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  background-color: var(--color3);
  color: var(--color1);
}
section.features div h2 {
  font-size: 2.3rem;
  font-family: var(--font2);
  margin-bottom: 10px;
}
section.features div p {
  font-size: 1rem;
  font-family: var(--font1);
  margin: 0 20px 0 20px;
  text-align: center;
}
section.features div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
  height: 100%;
}

section.features .middle {
  background-color: var(--color1);
  color: var(--color3);
}

/* ------------SECTION CONTACT---------- */
section.contact {
  display: flex;
  align-items: start;
  justify-content: space-between;
  flex-direction: column;
  width: 100%;
  color: var(--color3);
}
section.contact .contact {
  margin-left: 15px;
  font-size: 1.5rem;
}
section.contact .contact a {
  font-family: var(--font1);
  color: var(--color3);
  text-decoration: none;
}
section.contact .contact p {
  font-size: 1.4rem;
  margin: 10px 0 10px 0;
}
section.contact h1 {
  font-size: 2.5rem;
  font-family: var(--font2);
  width: 100%;
  text-align: center;
}
section.contact .map {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 50vh;
  background-color: var(--color3);
  color: var(--color1);
  font-size: 1.8rem;
}
#map {
  width: 80%;
  height: 80%;
  border: 2px solid var(--color1);
  border-radius: 10px;
}
/* section.contact .contact .copy_email {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: center;
}
section.contact .copied {
  align-items: center;
  color: var(--color1);
  background: var(--color3);
  border-radius: 10px;
  display: none;
  font-size: 20px;
  font-family: var(--font1);
  height: 50px;
  justify-content: center;
  right: 0px;
  opacity: 0;
  position: fixed;
  top: 50%;
  transform: translate(-50%);
  width: 140px;
  z-index: 10;
  transition: .3s linear;
}
section.contact .copied.active {
  display: flex;
  opacity: 1;
} */


/* --------------SECTION COMPANIES----------- */
section.companies {
  height: 15vh;
  width: 100%;
  background: var(--color3);
  overflow: hidden;
  white-space: nowrap;
  position: relative;
}
section.companies .companies-container {
  height: 100%;
  width: auto;
  display: inline-block;
  animation: sliderLogo 30s linear infinite;
}
section.companies .companies-container img {
  height: 70%;
  margin: 0 10px 0 10px;
  transform: translateY(10%);
}
.companies::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100px;
  height: 100%;
  background: linear-gradient(to left, rgba(255, 255, 255, 0), var(--color3));
  content: "";
  z-index: 2;
}
.companies::after {
  position: absolute;
  top: 0;
  right: 0;
  width: 100px;
  height: 100%;
  background: linear-gradient(to right, rgba(255, 255, 255, 0), var(--color3));
  content: "";
  z-index: 2;
}
@keyframes sliderLogo {
  from {
    transform: translate(0);
  }
  to {
    transform: translate(-100%);
  }
}

/* -----------------FOOTER------------- */
footer.footer {
  height: 30vh;
  background-color: var(--color1);
}
footer.footer .menu {
  width: 100%;
  height: 80%;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: space-around;
  color: var(--color3);
  font-size: 1.2rem;
  font-family: var(--font1);
  font-weight: 100;
}
footer.footer .menu ul li p {
  color: var(--color3);
  text-decoration: none;
}
footer.footer .menu ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  align-content: space-around;
}

footer.footer .addres {
  width: 100%;
  height: 20%;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: start;
  color: var(--color3);
  font-family: var(--font1);
}

@media only screen and (min-width: 1000px) {
  /* ----------------HAMBURGER ICON---------------- */
  button.hamburger {
    display: none;
  }
  /*-------------------HAMBURGER MENU--------------  */
  nav.hamburger-menu {
    position: fixed;
    left: 0;
    z-index: 3;
    background-color: var(--color3);
    color: var(--color1);
    font-family: var(--font2);
    font-size: 1.3rem;
    width: 100%;
    height: 7vh;
  }
  nav.hamburger-menu ul {
    flex-direction: row;
    justify-content: space-around;
    cursor: pointer;
  }
  nav.hamburger-menu ul li {
    width: auto;
    padding: 0 30px;
    transition: 0.2s linear;
  }
  nav.hamburger-menu p {
    position: relative;
  }
  nav.hamburger-menu p::after {
    content: "";
    display: block;
    width: 0;
    height: 2px;
    background-color: var(--color1);
    position: absolute;
    bottom: -0.2rem;
    left: 0;
    transition: width 0.3s;
    border-radius: 50px;
  }

  nav.hamburger-menu ul li:hover p::after {
    width: 100%;
  }
  nav.hamburger-menu ul li:hover::after {
    width: 0;
  }
  /* --------------------PHONE ICON --------------*/
  button.call-now {
    display: none;
  }

  /* ---------------SECTION REALIZATIONS-------------- */

  section.realizations .top-title {
    font-size: 3.5rem;
  }

  section.realizations .image-plus-btn {
    display: flex;
    flex-direction: row;
    height: 85%;
  }
  section.realizations .image .narrow {
    width: 15%;
    color: var(--color1);
    display: flex;
    font-size: 3rem;
  }
  section.realizations .image .narrow-left {
    margin-left: 40px;
  }
  section.realizations .image .narrow-right {
    margin-right: 40px;
  }
  section.realizations .image {
    height: 100%;
    width: 70%;
    border-radius: 10px;
    margin-left: 50px;
  }
  section.realizations img {
    max-width: 80%;
    border-radius: 10px;
  }
  section.realizations .bottom-bnt {
    width: 30%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  section.realizations .bottom-bnt button.see-more {
    margin-bottom: 40px;
    font-size: 3.4rem;
    width: 80%;
    height: 10%;
  }
  section.realizations .bottom-bnt p {
    height: 100%;
    display: flex;
    margin: 0 10px 0 10px;
    font-family: var(--font1);
    color: var(--color1);
    font-size: 1.4rem;
    text-align: center;
    align-items: center;
    font-weight: 100;
  }

  /* ----------------SECTION INSPIRATIONS---------- */

  section.inspirations .top-title {
    font-size: 3.5rem;
    background-color: var(--color3);
  }
  section.inspirations .top-title h1 {
    text-align: center;
    color: var(--color1);
  }
  section.inspirations .image-plus-btn {
    display: flex;
    flex-direction: row-reverse;
    height: 85%;
    width: 100%;
  }
  section.inspirations .image .narrow {
    color: var(--color1);
    width: 15%;
    display: flex;
    font-size: 3rem;
  }
  section.inspirations .image .narrow-right {
    margin-right: 40px;
  }
  section.inspirations .image .narrow-left {
    margin-left: 40px;
  }
  section.inspirations .image {
    height: 100%;
    width: 70%;
  }
  section.inspirations img {
    max-width: 80%;
    border-radius: 10px;
  }
  section.inspirations .change-style {
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color: var(--color3);
    height: 10%;
  }
  section.inspirations .bottom-bnt {
    height: 100%;
    width: 30%;
    display: flex;
    flex-direction: column-reverse;
    justify-content: start;
    align-items: center;
    gap: 10px;
    background-color: var(--color3);
  }
  section.inspirations .bottom-bnt i {
    font-size: 2rem;
    margin: 0 10px 0 10px;
  }
  section.inspirations .bottom-bnt button {
    display: flex;
    background-color: transparent;
    border: none;
    font-size: 3rem;
    transition: 0.2s linear;
    color: var(--color1);
  }
  section.inspirations p.text {
    height: 100%;
    display: flex;
    align-items: center;
    margin: 20px 20px 0 20px;
    font-family: var(--font1);
    color: var(--color1);
    font-size: 1.3rem;
    font-weight: 100;
    text-align: center;
  }
  section.inspirations .bottom-bnt .style {
    color: var(--color1);
    font-family: var(--font1);
    font-size: 2rem;
  }

  /* -----------------SECTION FEATURES-------------- */
  section.features div h2 {
    font-size: 6rem;
  }
  section.features div p {
    font-size: 1.4rem;
    font-weight: 200;
  }

  /* ------------------SECTION CONTACT-------------- */

  section.contact .contact {
    font-size: 1.5rem;
  }

  section.contact .contact p {
    font-size: 2.5rem;
    margin: 10px 0 30px 0;
    text-transform: uppercase;
  }
  section.contact .contact p i {
    font-size: 3rem;
  }
  section.contact h1 {
    font-size: 4rem;
  }
  section.contact .map {
    font-size: 2.5rem;
  }
  #map {
    width: 80%;
    height: 80%;
    border: 4px solid var(--color1);
  }

  .companies:hover .companies-container {
    animation-play-state: paused;
  }

  /* --------------SECTION FOOTER ------------*/
  footer.footer .menu {
    font-size: 2rem;
  }
  footer.footer .menu li p {
    cursor: pointer;
  }
}

@media only screen and (min-width: 1200px) {
  section.realizations .bottom-bnt p {
    font-size: 1.5rem;
  }
  section.inspirations p.text {
    font-size: 1.5rem;
  }
}
@media only screen and (min-width: 1400px) {
  section.realizations .bottom-bnt p {
    font-size: 1.6rem;
  }
  section.realizations .bottom-bnt button.see-more {
    font-size: 4rem;
  }
  section.inspirations p.text {
    font-size: 1.6rem;
  }
  section.inspirations .bottom-bnt .style {
    font-size: 2.7rem;
  }
  section.inspirations .bottom-bnt i {
    font-size: 3rem;
  }
}

@media only screen and (min-width: 1650px) {
  section.home .logo-container img {
    width: 27rem;
  }
  section.home .logo-container img:nth-child(2) {
    width: 27rem;
  }
  nav.hamburger-menu {
    font-size: 2rem;
  }
  section.realizations .bottom-bnt p {
    font-size: 1.9rem;
  }
  section.realizations .bottom-bnt button.see-more {
    font-size: 5rem;
  }
  section.realizations .bottom-bnt p {
    font-size: 1.8rem;
    margin: 30px;
  }
  section.inspirations img {
    max-width: 80%;
  }
  section.inspirations p.text {
    font-size: 1.8rem;
  }
  section.inspirations .bottom-bnt .style {
    font-size: 2.7rem;
  }
  section.inspirations .bottom-bnt i {
    font-size: 3rem;
  }
  section.inspirations .image .narrow-right {
    margin-right: 100px;
  }
  section.inspirations .image .narrow-left {
    margin-left: 100px;
  }
  section.realizations .top-title {
    font-size: 5rem;
  }
  section.inspirations .top-title {
    font-size: 5rem;
  }
  section.features div h2 {
    font-size: 7rem;
  }
  section.features div p {
    font-size: 1.9rem;
  }
  section.contact .contact {
    font-size: 1.5rem;
    display: flex;
    flex-wrap: wrap;
  }

  section.contact .contact p {
    flex-basis: 50%;
    font-size: 3rem;
  }
  section.contact .contact p i {
    font-size: 4rem;
  }
  section.contact h1 {
    font-size: 5rem;
  }
  section.contact .map {
    font-size: 2.5rem;
  }
  #map {
    width: 80%;
    height: 80%;
    border: 4px solid var(--color1);
  }
}
@media only screen and (min-width: 2300px) {
  section.realizations .bottom-bnt p {
    font-size: 2.1rem;
  }
  section.inspirations p.text {
    font-size: 2.1rem;
  }
}
@media only screen and (min-width: 2500px) {
  section.realizations .bottom-bnt p {
    font-size: 2.3rem;
  }
  section.inspirations p.text {
    font-size: 2.3rem;
  }
}
